package cn.hanghui.outapi.platform.tenant.service;


import cn.hanghui.outapi.platform.common.entity.po.Account;
import cn.hanghui.outapi.platform.common.entity.rest.RestResult;
import cn.hanghui.outapi.platform.tenant.entity.config.ampe.AmpeDto;
import cn.hanghui.outapi.platform.tenant.entity.config.ampe.AmpeSearch;
import cn.hanghui.outapi.platform.tenant.entity.config.ampe.AmpeVo;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author wxg
 * @since 2023-12-28
 */
public interface AmpeService{
    Boolean edit(AmpeDto dto);
    List<AmpeVo> ampeList();
    IPage<AmpeVo> ampePage(AmpeSearch dto);
    Boolean ampeDelete(Long ampeId);

    RestResult<List<AmpeVo>> ampeList(Account account);
}
